> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/legacy/vm/image/describeimages.md).

# DescribeImages

## 1. 接口描述

本接口(DescribeImages)用于查看镜像列表。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称        | 必选 | 类型                                                                              | 描述                                                                          |
| ----------- | -- | ------------------------------------------------------------------------------- | --------------------------------------------------------------------------- |
| zoneId      | 是  | String                                                                          | <p>可用区ID。</p><p>可从DescribeZones的zoneId中获取。</p>                              |
| imageIds    | 否  | Array of String                                                                 | 镜像ID集合。                                                                     |
| imageName   | 否  | String                                                                          | 镜像名称。                                                                       |
| category    | 否  | [ImageCategory](/api-reference/cn/legacy/vm/datastructure.md#imagecategory)     | <p>镜像所属分类。</p><p>可能值：CentOS、Windows、Ubuntu、Debian。</p>                      |
| imageType   | 否  | [ImageSourceType](/api-reference/cn/legacy/vm/datastructure.md#imagesourcetype) | <p>镜像类型。</p><p>PUBLIC\_IMAGE：公共镜像。</p><p>CUSTOM\_IMAGE：自定义镜像。</p>           |
| osType      | 否  | [ImageType](/api-reference/cn/legacy/vm/datastructure.md#imagetype)             | <p>操作系统类型。</p><p>可能值：windows、linux。</p>                                     |
| imageStatus | 否  | [ImageStatus](/api-reference/cn/legacy/vm/datastructure.md#imagestatus)         | <p>镜像状态。</p><p>CREATING：创建中。</p><p>AVAILABLE：可用。</p><p>UNAVAILABLE：不可用。</p> |
| pageNum     | 否  | Integer                                                                         | <p>返回的分页数。</p><p>默认为1。</p><p>默认值：1</p>                                      |
| pageSize    | 否  | Integer                                                                         | <p>返回的分页大小。</p><p>默认为20，最大为1000。</p>                                        |

## 3. 响应结果

| 参数名称       | 类型                                                                           | 描述                                                       |
| ---------- | ---------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId  | String                                                                       | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                      | 符合条件的数据总数。                                               |
| dataSet    | Array of [ImageInfo](/api-reference/cn/legacy/vm/datastructure.md#imageinfo) | 镜像结果集。                                                   |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 获取所有可用镜像。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeImages
<Common Request Params>

Request:
{
  "zoneId": "FRA-A",
  "osType": "linux",
  "pageSize": 3
}

Response:
{
  "requestId": "T6818FFFC-B917-4E46-8BEC-D8BBD8FA2AA5",
  "response": {
    "requestId": "T6818FFFC-B917-4E46-8BEC-D8BBD8FA2AA5",
    "dataSet": [
      {
        "imageVersion": "18.04",
        "imageId": "img-EVhEsCuXhCN0urZ7Vt77oOr6K",
        "imageName": "Ubuntu Server 18.04 LTS x86 64-bit",
        "imageDescription": null,
        "osType": "linux",
        "imageSize": "30",
        "imageStatus": "AVAILABLE",
        "category": "Ubuntu",
        "imageType": "PUBLIC_IMAGE"
      },
      {
        "imageVersion": "11.5",
        "imageId": "img-MJHkbWzEl9anNobblDtpRTDPB",
        "imageName": "Debian 11.5 Amd x86 64-bit",
        "imageDescription": null,
        "osType": "linux",
        "imageSize": "30",
        "imageStatus": "AVAILABLE",
        "category": "Debian",
        "imageType": "PUBLIC_IMAGE"
      },
      {
        "imageVersion": "7.4",
        "imageId": "img-3ELi56cECstEUqmcQzqIGdiuB",
        "imageName": "CentOS 7.4.1708 x86 64-bit",
        "imageDescription": null,
        "osType": "linux",
        "imageSize": "30",
        "imageStatus": "AVAILABLE",
        "category": "CentOS",
        "imageType": "PUBLIC_IMAGE"
      }
    ],
    "totalCount": 7
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
